### Signal

# Gtk Widget::unmap

#### Declaration

    void
    unmap (
      GtkWidget self,
      gpointer user_data
    )

#### Description [src]

Emitted when `widget` is going to be unmapped.

A widget is unmapped when either it or any of its parents up to the toplevel widget have been set as hidden.

As ::unmap indicates that a widget will not be shown any longer, it can be used to, for example, stop an animation on the widget.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.